/*
 * Raima Database Manager
 *
 * Copyright (C) 2016 Raims Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 */

/** \file psptypes-lint.h
 *  \brief Header for the Platform Support Package - PC-Lint
 */

#if !defined(RDM_DOXYGEN)
#if !defined(PSPTYPES_LINT_H)
#define PSPTYPES_LINT_H

/*
  lint -esym(1790,RDM_CPP::Cursor)
    -esym(534,RDM_CPP::Cursor::Delete) (the return value does not need to be
  checked) -esym(534,RDM_CPP::Cursor::DisconnectAndDelete) (the return value
  does not need to be checked) -esym(534,RDM_CPP::Cursor::First) (the return
  value does not need to be checked) -esym(534,RDM_CPP::Cursor::Next) (the
  return value does not need to be checked) -esym(534,RDM_CPP::Cursor::Prev)
  (the return value does not need to be checked) -esym(534,RDM_CPP::Cursor::Last)
  (the return value does not need to be checked)

    -esym(1790,RDM_CPP::Db)

    -esym(534,rdm_dbClearCache)
    -esym(534,rdm_dbClose)
    -esym(534,rdm_dbFree)
    -esym(534,rdm_cursorFree)
    -esym(534,rdm_cursorClose)
    -esym(534,rdm_dbEndRollback)

    -strong(AcJXc, RDM_ROWID_T)
    -strong(AcJXc, RDM_TABLE_ID, RDM_COLUMN_ID, RDM_KEY_ID, RDM_REF_ID)
    -strong(AcJXc, RDM_UNO)
    -strong(AcJXc, RDM_BOOL_T, RDM_COMPARE)
    -strong(AcJXc, B_OUTPUT_CTX)
    -strong(AcJXc, B_INPUT_CTX)
*/
#endif
#endif
